QGIS Application - Bug report #10475
fTools: "Symmetrical Difference" Tool behaves like "Difference"” Tools
2014-06-05 07:20 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18887
Description

All is in the title. Using "Symmetrical Difference" Tool (Vector menu > Geoprocessing Tools) on two overlapping layers, you get the output
"Difference" tool gives.

Instead of areas of both input and difference layers that do not intersect, you just have areas of the input layer not intersecting the clip
layer.

Worked on QGIS 1.8 but not since 2.0
Master 3e8f74f

OsGeo4W
W7 64bits

Associated revisions

Revision fc8d07ee - 2014-06-12 11:23 AM - Martin Dobias

Fix #10475 (symmetrical difference behaves like difference)

History

#1 - 2014-06-12 02:02 AM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2014-06-12 02:24 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"fc8d07ee246d9679e1cd98c5bbc2e4723¢cb5765".

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
